     <?php
/**
 * The template for displaying comments
 *
 * The area of the page that contains both current comments
 * and the comment form.
 *
 * @package WordPress
 * @subpackage dignify
 * @since Dignify 
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */          
             
                         
if ( post_password_required() ) {
    return;
}
?>
                        
    <div class="blog-comment pb60">
        <?php if ( have_comments() ) : ?>
            <h3>
                <?php
                    $comments_number = get_comments_number();
                    if ( 1 === $comments_number ) {
                    /* translators: %s: post title */
                    printf( esc_html__( 'One thought on &ldquo;%s&rdquo;','dignify' ), get_the_title() );
                    } else{
                        printf(
                            /* translators: 1: number of comments, 2: post title */
                            _nx('%1$s Comment found','%1$s comments', $comments_number, 'comments title', 'dignify' ),
                            esc_html (number_format_i18n( $comments_number ) ),
                            get_the_title()
                        );
                    }
                ?>
            </h3>

           <?php the_comments_navigation(); ?>

           <ul>
                <?php
                     wp_list_comments( array(
                         'style'       => 'ul',
                         'short_ping'  => true,
                         'avatar_size' => 42,
                         'callback' => 'dignify_comments',
                    ) );
                ?>
            </ul><!-- .comment-list -->

            <?php the_comments_navigation(); ?>

        <?php endif; // Check for have_comments(). ?>

        <?php
          // If comments are closed and there are comments, let's leave a little note, shall we?
           if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'dignify' ) ) :
        ?>
             <p class="no-comments"><?php esc_html__( 'Comments are closed.', 'dignify' ); ?></p> 
          <?php endif; ?>
    
        <?php 
            $req      = get_option( 'require_name_email' );
            $aria_req = ( $req ? " aria-required='true'" : '' );

            $comments_args = array
           (
            'submit_button' => '<div class="form-group">'.
              '<input  name="%1$s" type="submit" id="%2$s" class="submit" value="' . esc_attr__( 'add comment', 'dignify' ) . '" />'.
            '</div>',

            'title_reply'  =>  esc_html__( 'leave your comments', 'dignify'  ), 
            'comment_notes_after' => '',  
                
            'comment_field' =>  
                '<textarea class="form-control" id="comment" name="comment" placeholder="' . esc_attr__( 'Comment here', 'dignify' ) . '" rows="12" aria-required="true" '. $aria_req . '>' .
                '</textarea>',

            'fields' => apply_filters( 'comment_form_default_fields', array (
                'author' => '<div >'.               
                    '<input id="author" class="form-control" name="author" placeholder="' . esc_attr__( 'Your Name *', 'dignify' ) . '" type="text" value="' . esc_attr( $commenter['comment_author'] ) .
                    '" size="30"' . $aria_req . ' /></div>',

            'email' =>'<div>'.
                    '<input id="email" class="form-control" name="email" placeholder="' . esc_attr__( 'Your Email *', 'dignify' ) . '" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) .
                    '" size="30"' . $aria_req . ' /></div>',
            
               ) ),
            );
       ?>
    </div> 
            
    <div class="leave-comment">
        <div class="leave-comment-form">
          <?php
           comment_form($comments_args);
          ?>
        </div>
    </div>