<?php
/**
 * Template Name: Full-width Page Template, No Sidebar
 *
 * Description: Use this page template to remove the sidebar from any page.
 * @package Dignify
 */
?>

<?php get_header(); 

if(get_header_image()){
    $overlay = "overlay";
    $title   = "title" ;
 }
 else{
    $overlay = "noverlay";
    $title   = "notitle";
 }
 
?>
   
    <!--======  banner ====== -->
    <div class="page-title text-center" <?php if ( get_header_image() ){ ?> style="background-image:url('<?php header_image(); ?>')"  <?php } ?>>
        <div class="<?php echo esc_attr($overlay);?>"></div>
            <!-- End overlay -->
            <div class="container">
                <div class="text-center">
					<?php if (is_home() || is_front_page()) { ?>						
							<h2><?php the_title(); ?></h2>
						<?php } else { ?>
							<h2 class="<?php echo esc_attr($title);?>"><?php wp_title(''); ?></h2>					
						<?php } ?>		
                </div>
            </div>
         <!-- End container -->
    </div>

    <!-- ====== blogs ====== -->
    <section class="pt100 pb100">
        <div class="container">
            <div class="row">
                <div class="col-md-12 col-sm-12">
                    <div class="project-des">
                        <?php if(have_posts()) : ?>
                            <?php while(have_posts()) : the_post(); ?>
                                <div class="page-img-box">
                                    <div class="hover-effect">
                                       <?php if(has_post_thumbnail()) : ?>
                                           <?php the_post_thumbnail('full', array('class' => 'img-responsive')); ?>
                                       <?php endif; ?>
                                    </div>
                                </div>
                                <?php the_content(); ?>
                            <?php endwhile; ?>
                        <?php else :  
                           get_template_part( 'content-parts/content', 'none' );
                        endif; ?>
                        <!-- Comments -->
                        <div class="spacer-80"></div>
                        <?php 
                            if ( comments_open() || get_comments_number() ) :
                                    comments_template();
                            endif; 
                        ?> 
                        <!--End Comments -->
                    </div>
                </div>
            </div>
        </div>
    </section>

   <?php 
 get_footer(); ?>