<?php 
/**
 * The header for our theme.
 *
 * Displays all of the <head> section 
 *
 * @package Dignify
 */
 ?>


<!DOCTYPE html>
<html <?php language_attributes(); ?>>
	<head>
		<meta charset="<?php bloginfo( 'charset' ); ?>">
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0">
        <!--Shortcut icon-->
		<?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
			<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	    <?php endif; ?>
	    <?php wp_head(); ?>

	</head>

	<body <?php body_class(); ?> id="top">

		<div class="animsition">
			<a href="#top" class="toTop">
				<i class="fa fa-angle-up"></i>
				<?php esc_html__( 'Top', 'dignify' ); ?>
			</a>
            <span class="frame-line animated top-frame"></span>
			<span class="frame-line animated right-frame"></span>
			<span class="frame-line animated bottom-frame"></span>
			<span class="frame-line animated left-frame"></span>
			<!-- NAVBAR -->
		<div class="dignify-navbar-one">
			<div class="container  hide-menu" data-spy="scroll"  data-offset="50">
					<!-- <div class="dignify-border"></div> -->
				<div class="dignify-logo">
				    <?php if (has_custom_logo()) { ?> 
                        <span><?php the_custom_logo(); ?></span>
                    <?php }  
					if (display_header_text()==true){ ?>
                        <a href="<?php echo esc_url( home_url( '/' ) ); ?>">
                            <span class="site-title"><?php bloginfo( 'title' ); ?></span></a>
							<span class="site-description"><?php bloginfo( 'description' ); ?></span>
                    <?php }?>
				</div>
				<!-- End dignify-logo -->
                    <nav class="dignify-nav" id="main-menu" >
                     	<?php wp_nav_menu( array
                            (
								'menu'              => 'primary',
								'container'         => 'ul', 
                                'theme_location'    => 'primary', 
                                'menu_class'        => 'menu', 
                                'items_wrap'        => '<ul class="sf-menu">%3$s</ul>',
                                'fallback_cb'       => 'dignify_wp_bootstrap_navwalker::fallback',
                                'walker'            => new dignify_wp_bootstrap_navwalker()
                            )); 
                        ?>     
                    </nav>

					<a href="#" class="open-menu">
						<i class="burger-icon">
							<i></i>
						</i>
					</a>
			</div>
				<!-- End container -->
            <div class="mobile-menu" data-spy="affix"  data-offset="50">

			</div>
				<!-- End container -->
		</div>