<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * @package Dignify
*/
 get_header(); 

if(get_header_image()){
    $overlay = "overlay";
    $title   = "title" ;
 }
 else{
    $overlay = "noverlay";
    $title   = "notitle";
 }
 
?>
    <!-- Page Title -->
    <div class="page-title text-center" <?php if ( get_header_image() ){ ?> style="background-image:url('<?php header_image(); ?>')"  <?php } ?>>
        <div class="<?php echo esc_attr($overlay);?>"></div>
            <!-- End overlay -->
            <div class="container">
                <div class="text-center">
					<?php if (is_home() || is_front_page()) { ?>						
							<h2 class="<?php echo esc_attr($title);?>"><?php the_title(); ?></h2>
						<?php } else { ?>
							 <h2 class="<?php echo esc_attr($title);?>"><?php wp_title(''); ?></h2>					
						<?php } ?>
                </div>
            </div>
			
			
         <!-- End container -->
    </div>
  
    <section class="pt100 pb100">
        <div class="container">
            <div class="row">
                <div class="col-md-8 col-sm-7">
                    <div class="project-des">
                        <?php if(have_posts()) : ?>
                            <?php while(have_posts()) : the_post(); ?>
                                <div class="page-img-box">
                                    <div class="hover-effect">
                                       <?php if(has_post_thumbnail()) : ?>
                                            <?php the_post_thumbnail('dignify-page-thumbnail', array('class' => 'img-responsive')); ?>
                                       <?php endif; ?>
                                    </div>
                                </div>
                                <?php the_content();  
								wp_link_pages( array(
									'before' => '<p>' . esc_html__( 'Pages:', 'dignify' ),
									'after'  => '</p>',
									) );
									?>
                            <?php endwhile; ?>
                        <?php else :  
                            get_template_part( 'content-parts/content', 'none' );
                        endif; ?>
                        <!-- Comments -->
                        <div class="spacer-80"></div>
                        <?php 
                            if ( comments_open() || get_comments_number() ) :
                                comments_template();
                            endif; 
                        ?> 
                        <!--End Comments -->
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="sidebar">
                        <?php get_sidebar(); ?>
                    </div>
                </div>
            </div>
        </div>
    </section>
<!-- Main Content Section -->
<?php get_footer(); ?>