<?php
/**
 * Template part - Portfolio Section of FrontPage
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Dignify
 */
    $dignify_portfolio_section = get_theme_mod( 'dignify_portfolio_section_hideshow','hide');
    $dignify_portfolio_title   =  get_theme_mod('dignify_portfolio_title');  
   
    $dignify_portfolio_no        = 6;
    $dignify_portfolio_pages      = array();
    
    for( $i = 1; $i <= $dignify_portfolio_no; $i++ ) {
        $dignify_portfolio_pages[]    =  get_theme_mod( "dignify_portfolio_page_$i", 1 );
    }

    $dignify_portfolio_args  = array(
        'post_type' => 'page',
        'post__in' => array_map( 'absint', $dignify_portfolio_pages ),
        'posts_per_page' => absint($dignify_portfolio_no),
        'orderby' => 'post__in'
    ); 
    
    $dignify_portfolio_query = new wp_Query( $dignify_portfolio_args );
     
     if( $dignify_portfolio_section == "show") :
    
?>

 <!-- portfolio section -->
			<section class="work-section pt100 pb100">
					<div class="container">
						<div class="section-title">
							<?php if($dignify_portfolio_title != "")   {  ?>
                                <h2 data-sr><?php echo esc_html(get_theme_mod('dignify_portfolio_title')); ?></h2>
                            <?php }?>

							<div class="row">
								<div class="col-md-8 col-md-offset-2">
									<em data-sr="wait .2s"><?php echo esc_html(get_theme_mod('dignify_portfolio_subtitle')); ?></em>
								</div>
							</div>
						</div>
					</div>
					<!-- End container -->
					<div class="container">
						<div class="row">
							<div class="dignify-portfolio-masonry-wrapper " data-col="3">
								<div class="dignify-portfolio-list gallery">
								<?php
                                   $count = 0;
                                   while($dignify_portfolio_query->have_posts()) :
                                   $dignify_portfolio_query->the_post();
                                ?>
									<div class="dignify-portfolio-item with-figure">
										<div  class="inner-work">
										<?php the_post_thumbnail('dignify-portfolio-thumbnail'); ?>
											<div class="overlay-color">
												<div class="info">
													<div class="portfolio-link">
														<h3><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h3>
															<div class="port-anchor">
																<a><span> <i aria-hidden="true" class="fa fa-link"></i></span></a>
																<a href="<?php the_post_thumbnail_url(); ?>" class="zoom-img"><span> <i aria-hidden="true" class="fa fa-plus"></i></span></a>											
															</div>	
													</div>	
												</div>
											</div>
										</div>
									</div>
									<?php
                                    $count = $count + 1;
                                    endwhile;
                                    wp_reset_postdata();
                                ?> 
									<!-- End portfolio-item -->
								</div>
								<!-- End portfolio-list -->
							</div>
							<!-- ENd portfolio-masonry-wrapper -->
						</div>
					</div>
					<!-- End container -->
			</section>

<!-- End portfolio Section -->
<?php
  endif;
?>