<?php
/**
 * Template part - Service Section of FrontPage
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Dignify
 */
    $dignify_services_section = get_theme_mod( 'dignify_services_section_hideshow','hide');
    $dignify_services_title   =  get_theme_mod('dignify_services_title');  
    $dignify_column_layout       = get_theme_mod( 'dignify_column_layout', '4' );

   
    $dignify_services_no        = 6;
    $dignify_services_pages      = array();
    $dignify_services_icons     = array();
    
    for( $i = 1; $i <= $dignify_services_no; $i++ ) {
        $dignify_services_pages[]    =  get_theme_mod( "dignify_service_page_$i", 1 );
        $dignify_services_icons[]    = get_theme_mod( "dignify_page_service_icon_$i", '' );
    }

    $dignify_services_args  = array(
        'post_type' => 'page',
        'post__in' => array_map( 'absint', $dignify_services_pages ),
        'posts_per_page' => absint($dignify_services_no),
        'orderby' => 'post__in'
    ); 
    
    $dignify_services_query = new wp_Query( $dignify_services_args );
     
     if( $dignify_services_section == "show") :
    
?>

 <!-- service section -->


			<section class="pt100 pb100 alternate">
					<div class="container">
						<div class="section-title">
							<?php if($dignify_services_title != "")   {  ?>
                                <h2 data-sr><?php echo esc_html(get_theme_mod('dignify_services_title')); ?></h2>
                            <?php }?>
							
							<div class="row">
								<div class="col-md-8 col-md-offset-2">
									<em data-sr="wait .2s"><?php echo esc_html(get_theme_mod('dignify_services_subtitle')); ?></em>
								</div>
							</div>
						</div>
						<!-- End section-title -->
					</div>
					<!-- End container -->
					<div class="container">
						<div class="row">
							<div class="services-one text-center">
							<?php
                               $count = 0;
                               while($dignify_services_query->have_posts()) :
                               $dignify_services_query->the_post();
                            ?>
								<div class="col-lg-<?php echo esc_attr($dignify_column_layout); ?> col-md-<?php echo esc_attr($dignify_column_layout); ?>">
									<div class="inner-service sm-mb40" data-sr>
										<?php if($dignify_services_icons[$count] !="")
                                        {?>
										<i aria-hidden="true" class="fa <?php echo esc_attr($dignify_services_icons[$count]); ?>"></i>
										<?php } ?>
										<div class="service-content">
											<h6><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h6>
											 <?php the_excerpt(); ?>
										</div>
									</div>
									<!-- End service-item -->
								</div>
								<?php
                                    $count = $count + 1;
                                    endwhile;
                                    wp_reset_postdata();
                                ?> 
							</div>
						</div>
					</div>
					<!-- End container -->
			</section>

<!-- End service Section -->
<?php
  endif;
?> 