<?php
/**
 * Template part - Features Section of FrontPage
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Dignify
 */

    $dignify_slider_section     = get_theme_mod( 'dignify_slider_section_hideshow','hide');
    
    $dignify_slider_no        = 3;
    $dignify_slider_pages      = array();
    for( $i = 1; $i <= $dignify_slider_no; $i++ ) {
        $dignify_slider_pages[]    =  get_theme_mod( "dignify_slider_page_$i", 1 );
        $dignify_slider_btntxt[]    =  get_theme_mod( "dignify_slider_btntxt_$i", '' );
        $dignify_slider_btnurl[]    =  get_theme_mod( "dignify_slider_btnurl_$i", '' );
        

    }

    $dignify_slider_args  = array(
        'post_type' => 'page',
        'post__in' => array_map( 'absint', $dignify_slider_pages ),
        'posts_per_page' => absint($dignify_slider_no),
        'orderby' => 'post__in'
    ); 
    
    $dignify_slider_query = new wp_Query( $dignify_slider_args );

    if ($dignify_slider_section =='show' && $dignify_slider_query->have_posts() ) { ?>


            <div id="main-slider" class="owl-carousel owl-theme dignify-slider"
            data-items="1" 
            data-loop="true"
            data-smart-speed="400"
            data-dots="true"
            data-nav="true"
            data-r-x-small="1"
            data-r-x-small-nav="false"
            data-r-x-small-dots="true"
            data-r-x-medium="1"
            data-r-x-medium-nav="false"
            data-r-x-medium-dots="true"
            data-r-small="1"
            data-r-small-nav="false"
            data-r-small-dots="true"
            data-r-medium="1"
            data-r-medium-nav="true"
            data-r-medium-dots="false"
            data-r-large="1"
            data-r-large-nav="true"
            data-r-large-dots="false">

            <?php
               $count = 0;
               while($dignify_slider_query->have_posts()) :
               $dignify_slider_query->the_post();
            ?>
                <div class="item">
                    <div class="title-home" <?php if(has_post_thumbnail()) : ?> style="background-image: url(<?php the_post_thumbnail_url(); ?>);" <?php endif; ?>>
                        <div class="overlay"></div>
                        <!-- End overlay -->
                        <div class="container">
                            <div class="main-detail text-center">
                                <h1 data-sr><?php the_title(); ?></h1>
                                <em data-sr><?php the_content(); ?></em>
                                <div class="slider-buttons mt40 mb150">
                                    <?php
                                     if (!empty($dignify_slider_btntxt[$count])) {
                                    ?>
                                    <a href="<?php echo esc_url($dignify_slider_btnurl[$count]); ?>" class="btn btn-white ml-10"><?php echo esc_html($dignify_slider_btntxt[$count]); ?></a>
                                <?php } ?>
                                </div>
                            </div>
                        </div>
                        <!-- End container -->
                    </div>
                </div>
                 <?php
                $count = $count + 1;
                endwhile;
                wp_reset_postdata();
            ?>  
            </div>

    <?php } 
	else 
	{ 
		if(get_header_image()){
		$overlay = "overlay";
		$title   = "title" ;
		 }
		 else{
			$overlay = "noverlay";
			$title   = "notitle";
		 }
		 
		?>
		<!-- Page Title -->
		<div class="page-title text-center" <?php if ( get_header_image() ){ ?> style="background-image:url('<?php header_image(); ?>')"  <?php } ?>>
			<div class="<?php echo esc_attr($overlay);?>"></div>
				<!-- End overlay -->
				<div class="container">
					<div class="text-center">
						<h2><?php the_title(); ?></h2>
					</div>
				</div>
			 <!-- End container -->
		</div>
	<?php
}	?>